> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/platform-apis/governance/dashboard.md).

# Dashboard

Aggregate summary of policies, policy sets and evaluations for display on the dashboard

## GET /api/v1/dashboard

> Get metrics about policies, policy sets and evaluations

```json
{"openapi":"3.0.3","info":{"title":"Governance Policy Management API","version":"1.2.0"},"tags":[{"name":"dashboard","description":"Aggregate summary of policies, policy sets and evaluations for display on the dashboard"}],"servers":[{"url":"https://app.harness.io/gateway/pm/"}],"security":[{"jwt_header_Authorization":["core_governancePolicy_view"]},{"api_key_header_x-api-key":[]}],"components":{"securitySchemes":{"jwt_header_Authorization":{"type":"http","scheme":"bearer"},"api_key_header_x-api-key":{"type":"apiKey","description":"Harness PAT","name":"x-api-key","in":"header"}},"schemas":{"DashboardMetrics":{"type":"object","properties":{"aggregates":{"type":"array","items":{"$ref":"#/components/schemas/AggregateStatus"},"description":"Aggregate evaluation counts by day"},"policy_health":{"$ref":"#/components/schemas/PolicyHealth"}},"description":"Policy, policy set and evaluation metrics","required":["policy_health","aggregates"]},"AggregateStatus":{"type":"object","properties":{"error":{"type":"integer","description":"Count of evaluations that have a status of 'error'","format":"int64"},"pass":{"type":"integer","description":"Count of evaluations that have a status of 'pass'","format":"int64"},"time":{"type":"integer","description":"The Unix time of this particular aggregation","format":"int64"},"warning":{"type":"integer","description":"Count of evaluations that have a status of 'warning'","format":"int64"}},"description":"Aggregate metrics for evaluations on a single day","required":["time","error","warning","pass"]},"PolicyHealth":{"type":"object","properties":{"total_evaluation_count":{"type":"integer","description":"Total number of evaluations that have occurred","format":"int64"},"total_evaluation_entity_count":{"$ref":"#/components/schemas/EvaluationCounts"},"total_policy_count":{"type":"integer","description":"Total number of policies stored","format":"int64"},"total_policy_set_count":{"type":"integer","description":"Total number of policy sets stored","format":"int64"},"total_policy_set_entity_count":{"type":"object","description":"Total number of policy sets by type","additionalProperties":{"type":"integer","format":"int64"}}},"description":"Policy health metrics","required":["total_policy_count","total_policy_set_count","total_policy_set_entity_count","total_evaluation_count","total_evaluation_entity_count"]},"EvaluationCounts":{"type":"object","properties":{"error":{"type":"integer","description":"Count of evaluations that have a status of 'error'","format":"int64"},"pass":{"type":"integer","description":"Count of evaluations that have a status of 'pass'","format":"int64"},"warning":{"type":"integer","description":"Count of evaluations that have a status of 'warning'","format":"int64"}},"description":"Evaluation counts by status","required":["error","warning","pass"]},"Error":{"type":"object","properties":{"fault":{"type":"boolean","description":"Is the error a server-side fault?"},"id":{"type":"string","description":"ID is a unique identifier for this particular occurrence of the problem."},"message":{"type":"string","description":"Message is a human-readable explanation specific to this occurrence of the problem."},"name":{"type":"string","description":"Name is the name of this class of errors."},"temporary":{"type":"boolean","description":"Is the error temporary?"},"timeout":{"type":"boolean","description":"Is the error a timeout?"}},"required":["name","id","message","temporary","timeout","fault"]}}},"paths":{"/api/v1/dashboard":{"get":{"tags":["dashboard"],"description":"Get metrics about policies, policy sets and evaluations","operationId":"dashboard#metrics","parameters":[{"name":"range","in":"query","description":"The time period over which to aggregate dashboard data. Can be: 24 hours, 7 days or 30 days","allowEmptyValue":true,"schema":{"type":"string","description":"The time period over which to aggregate dashboard data. Can be: 24 hours, 7 days or 30 days","default":"30d","enum":["24h","7d","30d"]}},{"name":"accountIdentifier","in":"query","description":"Harness account ID","allowEmptyValue":true,"schema":{"type":"string","description":"Harness account ID","default":""}},{"name":"orgIdentifier","in":"query","description":"Harness organization ID","allowEmptyValue":true,"schema":{"type":"string","description":"Harness organization ID","default":""}},{"name":"projectIdentifier","in":"query","description":"Harness project ID","allowEmptyValue":true,"schema":{"type":"string","description":"Harness project ID","default":""}},{"name":"x-api-key","in":"header","description":"Harness PAT key used to perform authorization","allowEmptyValue":true,"schema":{"type":"string","description":"Harness PAT key used to perform authorization"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DashboardMetrics"}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"NotFound: Not Found response.","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"InternalServer: Internal Server Error response.","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"502":{"description":"BadGateway: Bad Gateway response.","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```
